import { Injectable } from '@angular/core';
import { Subject } from 'rxjs';

@Injectable({
  providedIn: 'root',
})
export class ProductUtilService {
  scrollDisabled$ = new Subject<boolean>();

  constructor() {}

  disableScrolling = () => {
    this.scrollDisabled$.next(true);
  };

  enableScrolling = () => {
    this.scrollDisabled$.next(false);
  };
}
